﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace WindowsFormsApp1
{
    public partial class SeeForm : Form
    {
        SqlConnection connection;
        SqlCommand command;
        SqlDataAdapter adapter;
        DataTable table;
        public SeeForm()
        {
            InitializeComponent();
            connection = new SqlConnection("Server=Class31000;Database=DM_Rozenberg;Trusted_connection=true;");
            command = new SqlCommand();
            command.Connection = connection;
            command.CommandType = CommandType.Text;
            adapter = new SqlDataAdapter(command);
            table = new DataTable();
        }
        //:Данная строчка кода выводит данные в таблицу из базы данных
        private void ShowTable(string text)
        {
            dataGridView1.Columns.Clear();
            dataGridView1.DataSource = null;
            command.CommandText = text;
            table.Clear();
            adapter.Fill(table);
            dataGridView1.DataSource = table;
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            ShowTable("Select * From Pruducts");
            dataGridView1.Columns[0].Visible = false;
            dataGridView1.Columns[2].Visible = false;
            dataGridView1.Columns[4].Visible = false;
            dataGridView1.Columns[6].Visible = false;
            dataGridView1.Columns[7].Visible = false;
            dataGridView1.Columns[8].Visible = false; 
            dataGridView1.Columns[10].Visible = false;
            dataGridView1.Columns[11].Visible = false;

        }
        //:Данная строчка кода переносит пользователя на окно с добавлением товаров
        private void button1_Click(object sender, EventArgs e)
        {
            AddForm b = new AddForm();
            b.Show();
            this.Hide();
        }
        //:Данные строчки кода удаляют выбранный товар из базы, отображая изменения на форме
        private void DeleteButton_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Вы действительно хотите удалить выбранный товар?", "Удаление товара", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
            {
                connection.Open();
                command.CommandText = ("Delete From Pruducts where Артикул=@Артикул");
                command.Parameters.AddWithValue("@Артикул", dataGridView1.CurrentRow.Cells[0].Value);
                command.ExecuteReader();
                command.Parameters.Clear();
                connection.Close();
                MessageBox.Show("Товар был удален!");
            }
            ShowTable("Select * From Pruducts");
            dataGridView1.Columns[0].Visible = false;
            dataGridView1.Columns[2].Visible = false;
            dataGridView1.Columns[4].Visible = false;
            dataGridView1.Columns[6].Visible = false;
            dataGridView1.Columns[7].Visible = false;
            dataGridView1.Columns[8].Visible = false;
            dataGridView1.Columns[10].Visible = false;
            dataGridView1.Columns[11].Visible = false;
        }
        //:Данная строчка кода переносит пользователя на окно авторизации
        private void BackButton_Click(object sender, EventArgs e)
        {
            InForm b = new InForm();
            b.Show();
            this.Hide();
        }
    }
}
